// XmlMemberGui_String.h: interface for the CXmlMemberGui_String class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(_XMLMEMBERGUI_STRING_H_)
#define _XMLMEMBERGUI_STRING_H_

#include <map>
#include "XmlBaseElement.h"
#include "enums.h"

using namespace std;

class CXmlMemberGui_String : public CXmlBaseElement
{
public:
	CXmlMemberGui_String();
	virtual ~CXmlMemberGui_String();

	// implementation of CXmlSerializable
	//
public:
	virtual bool BuildFromXml(IXMLDOMNode* node);
	virtual bool AppendToDOMDocument(IXMLDOMDocument2* xmlDoc, IXMLDOMElement* parentElement);	
	
	// attributes
	//
	static cmString GetXmlNodeName(){return _T("MemberGui_String");}

	void SetDisplayMode(enStringMemberDisplayMode mode);
	enStringMemberDisplayMode GetDisplayMode() const;

	virtual void Clear();
	virtual void SetDefaults();

protected:
		
	enStringMemberDisplayMode displayMode_;

};

#endif // !defined(_XMLMEMBERGUI_STRING_H_)
